# Uses of Interface
java.awt.Adjustable

Packages that use Adjustable
Package
Description
java.awt
Contains all of the classes for creating user interfaces and for painting graphics and images.
java.awt.event
Provides interfaces and classes for dealing with different types of events fired by AWT components.
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.

## Uses of Adjustable in java.awt

Classes in java.awt that implement Adjustable
Modifier and Type
Class
Description
`class`
`Scrollbar`
The `Scrollbar` class embodies a scroll bar, a familiar user-interface object.
`class`
`ScrollPaneAdjustable`
This class represents the state of a horizontal or vertical scrollbar of a `ScrollPane`.
Methods in java.awt that return Adjustable
Modifier and Type
Method
Description
`Adjustable`
ScrollPane.`getHAdjustable()`
Returns the `ScrollPaneAdjustable` object which represents the state of the horizontal scrollbar.
`Adjustable`
ScrollPane.`getVAdjustable()`
Returns the `ScrollPaneAdjustable` object which represents the state of the vertical scrollbar.

## Uses of Adjustable in java.awt.event

Methods in java.awt.event that return Adjustable
Modifier and Type
Method
Description
`Adjustable`
AdjustmentEvent.`getAdjustable()`
Returns the `Adjustable` object where this event originated.
Constructors in java.awt.event with parameters of type Adjustable
Modifier
Constructor
Description
``
`AdjustmentEvent​(Adjustable source, int id, int type, int value)`
Constructs an `AdjustmentEvent` object with the specified `Adjustable` source, event type, adjustment type, and value.
``
`AdjustmentEvent​(Adjustable source, int id, int type, int value, boolean isAdjusting)`
Constructs an `AdjustmentEvent` object with the specified Adjustable source, event type, adjustment type, and value.

## Uses of Adjustable in javax.swing

Classes in javax.swing that implement Adjustable
Modifier and Type
Class
Description
`class`
`JScrollBar`
An implementation of a scrollbar.
`protected class`
`JScrollPane.ScrollBar`
By default `JScrollPane` creates scrollbars that are instances of this class.